Initiate Password Reset

Initiate resetting a user's password

This function is used to initiate resetting a user's password. The endpoint uses the user's email address and creates a reset URL with a merchant-generated token. Afterwards, it creates the reset password request in the database. If the e-mail is not recognized, the web page will return "e-mail not recognized". This is to be used in conjunction with [GET /reset/{token}] and [POST /reset/{token}].

The generated token expires after 14 days. If the user does not complete the password reset within this window, they will need to initiate a new reset request.

Query Params
string
required

The e-mail of an existing user.

string
required

The URL login reset URL that gets appended with the merchant's token.

Responses

Language
Credentials
Bearer
JWT
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json